Bug 92458 - Page object should ascertain EditorClient to be non-null
Summary: Page object should ascertain EditorClient to be non-null
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Vivek Galatage
URL:
Keywords:
Depends on:
Blocks: 90675
  Show dependency treegraph
 
Reported: 2012-07-26 22:28 PDT by Vivek Galatage
Modified: 2012-07-30 20:26 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.57 KB, patch)
2012-07-26 22:30 PDT, Vivek Galatage
no flags Details | Formatted Diff | Diff
Patch (1.22 KB, patch)
2012-07-26 23:15 PDT, Vivek Galatage
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vivek Galatage 2012-07-26 22:28:27 PDT
Adding NULL checks for editor client within Page object
Comment 1 Vivek Galatage 2012-07-26 22:30:11 PDT
Created attachment 154842 [details]
Patch
Comment 2 Ryosuke Niwa 2012-07-26 22:41:45 PDT
Comment on attachment 154842 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=154842&action=review

> Source/WebCore/ChangeLog:10
> +        No new tests as no change in functionality. Just addition of check to avoid crash.

That's not true. If this can never cause a crash, then we don't have to do null check.
If WebKit were to crash without these null checks, then there is a behavior change.

Please try to come up with a test. It's okay if you could not come up with a test if it's too hard to do so
but please don't say that there is no behavior change in WebKit, when there is one.
Comment 3 Vivek Galatage 2012-07-26 23:06:35 PDT
Changing the title of the bug as per the IRC discussion with rniwa.
Comment 4 Vivek Galatage 2012-07-26 23:15:48 PDT
Created attachment 154851 [details]
Patch
Comment 5 WebKit Review Bot 2012-07-27 01:34:36 PDT
Comment on attachment 154851 [details]
Patch

Clearing flags on attachment: 154851

Committed r123850: <http://trac.webkit.org/changeset/123850>
Comment 6 WebKit Review Bot 2012-07-27 01:34:39 PDT
All reviewed patches have been landed.  Closing bug.